skb_put
Prev | Socket Buffer Functions | Next

## Name

skb_put — add data to a buffer

## Synopsis

`unsigned char * skb_put (` | struct sk_buff * | skb,
| unsigned int | len`)`;

## Arguments

`skb`

  buffer to use

`len`

  amount of data to add

## Description

This function extends the used data area of the buffer. If this would exceed the total buffer size the kernel will panic. A pointer to the first byte of the extra data is returned.

Prev | Up | Next
__skb_queue_after | Home | skb_push